# created by Neal Brooks for PCLinuxOS
# Rewrite by D.M-Wilhelm (Leiche) 2012-2013
# PCLinuxOS Copyright by Bill Reynolds (Texstar)
#
%define prefix /usr
%define name lxtemp
%define version 0.3.2
%define release %mkrel 1
%define url http://www.pclinuxos.com/forum/index.php/board,76.0.html
%define arch noarch

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Monitoring
URL:		%{url}
Source:		%{name}.tar.xz
Summary:	lxtemp displays your system temperature
Summary(de):	lxtemp zeigt die Systemstemperatur an
BuildRoot:	%{_tmppath}/%{name}-buildroot	
Requires:	bash, yad
Requires:	lm_sensors
Obsoletes:	%name < %version
BuildArch: 	%{arch}

%description
lxtemp puts an icon in your systray. 
When you hover your mouse over it, a 
message opens and displays your system temperature. 


#german
%description -l de
lxtemp nistet sich in das Systray. Wenn Sie mit Ihre 
Maus über das Icon verweilen, wird ihnen die Systemstemperaturen 
angezeigt.

%prep

%setup -q -n %{name}


%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 %buildroot%_bindir
install -m 0755 %{name} %buildroot%_bindir/%{name}

install -d -m 0755 %buildroot%_datadir/pixmaps
install -m 0644 %{name}.png %buildroot%_datadir/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=lxtemp displays your system temperature
Comment[de]=lxtemp zeigt die Systemstemperatur an
Exec=%{_bindir}/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
Categories=Info;System;Monitor;
Encoding=UTF-8
EOF

mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}/languages/%{name}-de_DE.po

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%_datadir/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sun Sep 29 2013 daniel <meisssw01 at gmail.com> 0.3.2-1free2013
- added new core 

* Sat Nov 17 2012 Neal <nealbrks0 at gmail dot com> 0.3.1-3pclos2012
- process

* Sun Nov 11 2012 daniel <meisssw01 at gmail.com>0.3.1-3leiche2012
- fix bug, reported by Aleph

* Tue Jan 17 2012 leiche <meisssw01 at gmail.com> 0.3.0-2leiche2012
- rebuild 

* Wed Dec 21 2011 Neal <nealbrks0 at gmail.com> 0.3.0-1neal2011
- changed feedback dialog for machines without temperature sensors
- fix german description (leiche)

* Tue Dec 20 2011 leiche <meisssw01 at gmail.com> 0.3-2leiche2011
- refix some bugs by ghostbunny
- structure script, and renames by ghostbunny
+ add fahrenheit support under Intel(R) by ghostbunny
- rewrite about dialog
- fix some other little bugs 
 
* Mon Dec 19 2011 leiche <meisssw01 at gmail.com> 0.2-2leiche2011
- fix display
+ add left click menu
- fix and add german language
- fix display by Intel(R), get from ghostbunny
+ add dialog for autostart function

* Sat Dec 17 2011 Neal <nealbrks0 at gmail dot com> 0.1-1neal2011
- initial package
- add german languages (leiche)

